#Reference times for a Pentium 4C @ 3.0 GHz (Northwood core)
# Old ref for 6.10 - 291050
#tref1=1280.1
#tref2=1757.2
#tref3=1436.2

#ref for current 6.50 - 291733
tref1=1241.8
tref2=1646.3
tref3=1362.4

tbench1=0.0
tbench2=0.0
tbench3=0.0

def RenderBench(namebench,X,Y,quality):
	global PrintString
	LoadFile(namebench)
	SetPictureSize(X,Y)
	SetRenderQuality(quality)
	t0=time.time()
	Render()
	t1=time.time()
	CloseRenderDialog()
	timebench=round(t1-t0,1)
	PrintString = PrintString + namebench+" : "+str(timebench)+" s\n"
	return(timebench)

# ------------------------------------------------------
# VueMark v1.3 by Frdric Louguet
# This simple Python script runs the VueMark benchmark
# and produces a VueMark.txt text file with the results.
#
# Requires that the files "01_Peaking Through.vue", 
# "08_RadiosityRoom.vue" and "05_Cerro Verde.vue" are placed in the 
# VueMark folder and that the VueMark folder resides in the VuePython folder
# (eg.  C:\Program Files\e-on software\Vue 6 Infinite\Python\VueMark,
# 		/Applications/Vue 6 Infinite/Python/VueMark
#
# 02/28/2007	Added path handling processing for Mac and PC (Dave Burdick)
# v1.2 (06/27/2007) Recalibrated for V6I 6.10 (build 291050)
# v1.3 (08/21/2007) Recalibrated for V6I 6.50 (build 291733)
# ------------------------------------------------------

import time
import os
import sys

# Processing to set up the correct paths
L = sys.path[1]																			# get the Vue python Lib path
VuePythonFolder = os.path.abspath(os.path.join(L[0:L.find("Python")],"Python"))			# Create Vue Python folder Path
VueMarkFolder = os.path.abspath(os.path.join(VuePythonFolder,"VueMark"))				# VueMark Folder Path
os.chdir(VueMarkFolder)																	# Change working directory to VueMark Folder

namebench1=os.path.abspath(os.path.join(VueMarkFolder,"01_Peaking Through.vue"))		# File path 1
namebench2=os.path.abspath(os.path.join(VueMarkFolder,"08_RadiosityRoom.vue"))			# File path 2
namebench3=os.path.abspath(os.path.join(VueMarkFolder,"05_Cerro Verde.vue"))			# File path 3

clear()

cpu=raw_input("VueMark 1.3. Enter your CPU and frequency\n (e.g. Dual Xeon 5140 - 2.33 GHz) : ")
build=raw_input("Enter the Vue 6 Infinite build number : ")
compilation=raw_input("Enter 32 or 64 (bit) : ")

PrintString = "CPU : "+cpu+"\n"
PrintString = PrintString + "Build : "+build+"\n"
PrintString = PrintString +"Compilation : "+compilation+"-bit\n\n"


if os.path.isfile(namebench1): 
	tbench1=RenderBench(namebench1,1024,768,VuePython.PRS_Final)
if os.path.isfile(namebench2): 
	tbench2=RenderBench(namebench2,1024,463,VuePython.PRS_Final)
if os.path.isfile(namebench3): 
	tbench3=RenderBench(namebench3,1024,768,VuePython.PRS_Broadcast)

if (tbench1 != 0.0) and (tbench2 != 0.0) and (tbench3 != 0.0):
	VueMark=int(round(100.0*(tref1/tbench1+tref2/tbench2+tref3/tbench3)/3.0))
	PrintString = PrintString + "\nVueMark score : "+str(VueMark)+"\n"
	filehandle=open("VueMark"+compilation+"_"+cpu+".txt","w")
	filehandle.write(PrintString)
	filehandle.close()
	print PrintString
	print "VueMark finished successfully"


